diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
index e5bf06357..b3df7dfa0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
@@ -211,10 +211,12 @@ class ForeignDataWrapperView(PGChildNodeView):
         def wrap(*args, **kwargs):
             # Here args[0] will hold self & kwargs will hold gid,sid,did
             self = args[0]
-            self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
+            driver = get_driver(PG_DEFAULT_DRIVER)
+            self.manager = driver.connection_manager(
                 kwargs['sid']
             )
             self.conn = self.manager.connection(did=kwargs['did'])
+            self.qtIdent = driver.qtIdent
 
             # Set the template path for the SQL scripts
             self.template_path = 'foreign_data_wrappers/sql/#{0}#'.format(
@@ -745,11 +747,12 @@ class ForeignDataWrapperView(PGChildNodeView):
                               )
         sql += "\n"
 
-        sql_header = u"""-- Foreign Data Wrapper: {0}
+        sql_header = u"""-- Foreign Data Wrapper: {0}\n\n""".format(
+            res['rows'][0]['name'])
 
--- DROP FOREIGN DATA WRAPPER {0}
+        sql_header += """-- DROP FOREIGN DATA WRAPPER {0}
 
-""".format(res['rows'][0]['name'])
+""".format(self.qtIdent(self.conn, res['rows'][0]['name']))
 
         sql = sql_header + sql
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_change_opt2.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_change_opt2.sql
index d34de6f68..34196d960 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_change_opt2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_change_opt2.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (opt1 'val1', opt2 'valopt2');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_comment.sql
index 9e3e10a74..f898c73ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_comment.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt1.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt1.sql
index fd67506c7..c94fb52e5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt1.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (opt1 'val1');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt2.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt2.sql
index aade70af3..19bb8ce35 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt2.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (opt1 'val1', opt2 'val2');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_privileges.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_privileges.sql
index c6eb07e8b..fbc531470 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_privileges.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_privileges.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw2_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw2_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw2_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw2_$%{}[]()&*^!@""'`\/#"
     VALIDATOR pg_catalog.postgresql_fdw_validator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_rename.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_rename.sql
index 216659c8a..fb2fa0471 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_rename.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_rename.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw2_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw2_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw2_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw2_$%{}[]()&*^!@""'`\/#"
     VALIDATOR pg_catalog.postgresql_fdw_validator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_validator.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_validator.sql
index 422606199..e9b72ebeb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_validator.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_validator.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     VALIDATOR pg_catalog.postgresql_fdw_validator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/create_fdw.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/create_fdw.sql
index a4e39cd4f..2132db49c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/create_fdw.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/create_fdw.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_change_opt2.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_change_opt2.sql
index d34de6f68..34196d960 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_change_opt2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_change_opt2.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (opt1 'val1', opt2 'valopt2');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_comment.sql
index 9e3e10a74..f898c73ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_comment.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_opt1.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_opt1.sql
index fd67506c7..c94fb52e5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_opt1.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_opt1.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (opt1 'val1');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_opt2.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_opt2.sql
index aade70af3..19bb8ce35 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_opt2.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_opt2.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (opt1 'val1', opt2 'val2');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_privileges.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_privileges.sql
index 7c8a9ea86..123d59805 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_privileges.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_privileges.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw2_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw2_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw2_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw2_$%{}[]()&*^!@""'`\/#"
     VALIDATOR pg_catalog.postgresql_fdw_validator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_rename.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_rename.sql
index 216659c8a..fb2fa0471 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_rename.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_rename.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw2_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw2_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw2_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw2_$%{}[]()&*^!@""'`\/#"
     VALIDATOR pg_catalog.postgresql_fdw_validator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_validator.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_validator.sql
index 422606199..e9b72ebeb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_validator.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/alter_fdw_validator.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     VALIDATOR pg_catalog.postgresql_fdw_validator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/create_fdw.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/create_fdw.sql
index a4e39cd4f..2132db49c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/create_fdw.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/ppas/9.3_plus/create_fdw.sql
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER Fdw1_$%{}[]()&*^!@"'`\/#
+-- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#";
 
